## org.eclipse.jst.jsf.context.structureddocument
Interface IStructuredDocumentContextFactory

All Known Subinterfaces:
  IStructuredDocumentContextFactory2

    public interface IStructuredDocumentContextFactory

A factory method for constructing context objects related to SSE structured documents. May be sub-classed or implemented by clients

Field Summary
`static IStructuredDocumentContextFactory` `INSTANCE` The default singleton instance of the factory

Method Summary
`IStructuredDocumentContext` `getContext(IDocument document, int documentPosition)`
`IStructuredDocumentContext` `getContext(IDocument document, org.w3c.dom.Node node)`
`IStructuredDocumentContext` `getContext(ITextViewer textViewer, int documentPosition)`

Field Detail

### INSTANCE

    static final IStructuredDocumentContextFactory INSTANCE

  The default singleton instance of the factory

Method Detail

### getContext

    IStructuredDocumentContext getContext(ITextViewer textViewer,
                                          int documentPosition)

  Parameters:
    `textViewer` - -- the text viewer where the context exists
    `documentPosition` - -- the absolute position of the context relative to textViewer
  Returns:
    a context for a given text viewer and document position within the document model of that text viewer or null if one cannot be determined.

### getContext

    IStructuredDocumentContext getContext(IDocument document,
                                          int documentPosition)

  Parameters:
    `document` - -- the document
    `documentPosition` - -- the absolute position of the context relative to the document
  Returns:
    a context for the document model or null if one cannot be determined

### getContext

    IStructuredDocumentContext getContext(IDocument document,
                                          org.w3c.dom.Node node)

  Parameters:
    `document` - -- the document model
    `node` - -- the DOM node within the document
  Returns:
    a context for the document model and dom node or null if one cannot be determined